
Ryzom - Bug # 1119

Status: Closed Priority: Normal
Author: kervala Category: OS: Mac
Created: 10/05/2010 Assignee: kervala
Updated: 11/06/2010 Due date:
Subject: Crash when pressing a key under Mac OS X 10.5.7
Description

I successfully compiled Ryzom Core client under Mac OS X 10.5.7 with GCC 4.0.1.

When I launch the binary, after clicking on Login entry and I press a key I have an uncaught exception

Process:         ryzom_client [1209]
Path:            /Users/kervala/Documents/Programmation/ryzom/build/bin/ryzom_client.app/Contents/MacOS/ryzom_client
Identifier:      ???
Version:         0.8 (1.0)
Code Type:       X86 (Native)
Parent Process:  bash [149]

Interval Since Last Report:          144275 sec
Crashes Since Last Report:           14
Per-App Interval Since Last Report:  376 sec
Per-App Crashes Since Last Report:   2

Date/Time:       2010-10-05 18:47:01.850 +0200
OS Version:      Mac OS X 10.5.7 (9J61)
Report Version:  6
Anonymous UUID:  D54AB397-1597-4114-810D-36A5422980C1

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** -[NSTSMInputContext
handleEvent:]: unrecognized selector sent to instance 0x42bf350'

Thread 0 Crashed:
0   com.apple.CoreFoundation          0x96324f54 ___TERMINATING_DUE_TO_UNCAUGHT_EXCEPTION___ + 4
1   libobjc.A.dylib                   0x92877e3b objc_exception_throw + 40
2   com.apple.CoreFoundation          0x9632c2aa -[NSObject doesNotRecognizeSelector:] + 186
3   com.apple.CoreFoundation          0x9632a8ac ___forwarding___ + 892
4   com.apple.CoreFoundation          0x9632a972 _CF_forwarding_prep_0 + 50
5   com.apple.AppKit                  0x91bded6d -[NSWindow sendEvent:] + 8511
6   com.apple.AppKit                  0x91baacd9 -[NSApplication sendEvent:] + 2941
7   libnel_drv_opengl.so              0x0448ea4b NL3D::MAC::submitEvents(NLMISC::CEventServer&, bool,
NLMISC::CCocoaEventEmitter*) + 843 (cocoa_adapter.mm:1123)
8   libnelmisc.0.dylib                0x012d9db6 NLMISC::CEventServer::pump(bool) + 86 (stl_list.h:148)
9                                     0x0058ff8e CInputHandlerManager::pumpEvents() + 62 (input_handler_manager.cpp:579)
10                                    0x0018f3bf loginMainLoop() + 127
11                                    0x00191f94 login() + 644
12                                    0x0006ae3f main + 3135 (client.cpp:542)
13                                    0x0000cb66 start + 54

Thread 1:
0   libSystem.B.dylib                 0x90fec46e __semwait_signal + 10
1   libnelmisc.0.dylib                0x012ace1c NLMISC::nlSleep(unsigned int) + 60
2                                     0x001c6c3e CLoginProgressTask::run() + 894 (login_progress_post_thread.cpp:220)
3   libnelmisc.0.dylib                0x01312047 NLMISC::ProxyFunc(void*) + 39 (p_thread.cpp:65)
4   libSystem.B.dylib                 0x91016155 _pthread_start + 321
5   libSystem.B.dylib                 0x91016012 thread_start + 34

Thread 2:
0   libSystem.B.dylib                 0x90fec46e __semwait_signal + 10
1   libSystem.B.dylib                 0x91016dcd pthread_cond_wait$UNIX2003 + 73
2   libGLProgrammability.dylib        0x95c9bb32 glvmDoWork + 162
3   libSystem.B.dylib                 0x91016155 _pthread_start + 321
4   libSystem.B.dylib                 0x91016012 thread_start + 34

Thread 3:
0   libSystem.B.dylib                 0x90fec46e __semwait_signal + 10
1   libnelmisc.0.dylib                0x012ace1c NLMISC::nlSleep(unsigned int) + 60
2   libnelmisc.0.dylib                0x012a2b2c NLMISC::CCoTask::yield() + 92 (co_task.cpp:407)
3                                     0x00128076 CLoginStateMachine::waitEvent() + 54 (far_tp.cpp:204)
4                                     0x0012bd57 CLoginStateMachine::run() + 9511 (far_tp.cpp:279)
5   libnelmisc.0.dylib                0x012a2768 NLMISC::TCoTaskData::run() + 184 (co_task.cpp:532)
6   libnelmisc.0.dylib                0x01312047 NLMISC::ProxyFunc(void*) + 39 (p_thread.cpp:65)
7   libSystem.B.dylib                 0x91016155 _pthread_start + 321
8   libSystem.B.dylib                 0x91016012 thread_start + 34

Line 1123 is:

[NSApp sendEvent:event];

History
#1 - 10/05/2010 07:35 pm - kervala

I only commented out this line and that's working for the moment :)

Perhaps is there a best fix for that :)

#2 - 10/05/2010 11:37 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#3 - 10/05/2010 11:38 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100
Applied in changeset r919.

#4 - 11/06/2010 09:25 am - kervala
- Status changed from Resolved to Closed
- Target version set to Version 0.8.0
